org.apache.ode.daohib

## Class HibernateTransactionManagerLookup

- java.lang.Object
- - org.apache.ode.daohib.HibernateTransactionManagerLookup

- All Implemented Interfaces:
    org.hibernate.transaction.TransactionManagerLookup

      public class HibernateTransactionManagerLookup
      extends java.lang.Object
      implements org.hibernate.transaction.TransactionManagerLookup

  Implementation of the `TransactionManagerLookup` interface that uses `SessionManager` to obtain the JTA `TransactionManager` object.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HibernateTransactionManagerLookup()` Constructor.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `getTransactionIdentifier(javax.transaction.Transaction transaction)`
    `javax.transaction.TransactionManager` | `getTransactionManager(java.util.Properties props)`
    `java.lang.String` | `getUserTransactionName()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HibernateTransactionManagerLookup

          public HibernateTransactionManagerLookup()

      Constructor.

  - ### Method Detail

    - #### getTransactionManager

          public javax.transaction.TransactionManager getTransactionManager(java.util.Properties props)
                                                                     throws org.hibernate.HibernateException

      Specified by:
        `getTransactionManager` in interface `org.hibernate.transaction.TransactionManagerLookup`
      Throws:
        `org.hibernate.HibernateException`

    - #### getUserTransactionName

          public java.lang.String getUserTransactionName()

      Specified by:
        `getUserTransactionName` in interface `org.hibernate.transaction.TransactionManagerLookup`

    - #### getTransactionIdentifier

          public java.lang.Object getTransactionIdentifier(javax.transaction.Transaction transaction)

      Specified by:
        `getTransactionIdentifier` in interface `org.hibernate.transaction.TransactionManagerLookup`